Package com.trilead.ssh2.packets

# Class PacketKexInit

java.lang.Object
com.trilead.ssh2.packets.PacketKexInit

public class PacketKexInit extends Object
PacketKexInit.

## Constructor Summary

Constructors
Constructor
Description
`PacketKexInit(byte[] payload, int off, int len)`
`PacketKexInit(CryptoWishList cwl, SecureRandom rnd)`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getCompression_algorithms_client_to_server()`
`String[]`
`getCompression_algorithms_server_to_client()`
`byte[]`
`getCookie()`
`String[]`
`getEncryption_algorithms_client_to_server()`
`String[]`
`getEncryption_algorithms_server_to_client()`
`String[]`
`getKex_algorithms()`
`KexParameters`
`getKexParameters()`
`String[]`
`getLanguages_client_to_server()`
`String[]`
`getLanguages_server_to_client()`
`String[]`
`getMac_algorithms_client_to_server()`
`String[]`
`getMac_algorithms_server_to_client()`
`byte[]`
`getPayload()`
`int`
`getReserved_field1()`
`String[]`
`getServer_host_key_algorithms()`
`boolean`
`isFirst_kex_packet_follows()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PacketKexInit

public PacketKexInit(CryptoWishList cwl, SecureRandom rnd)

### PacketKexInit

public PacketKexInit(byte[] payload, int off, int len) throws IOException

Throws:
  `IOException`

## Method Details

### getPayload

public byte[] getPayload()

### getKexParameters

public KexParameters getKexParameters()

### getCompression_algorithms_client_to_server

public String[] getCompression_algorithms_client_to_server()

### getCompression_algorithms_server_to_client

public String[] getCompression_algorithms_server_to_client()

### getCookie

public byte[] getCookie()

### getEncryption_algorithms_client_to_server

public String[] getEncryption_algorithms_client_to_server()

### getEncryption_algorithms_server_to_client

public String[] getEncryption_algorithms_server_to_client()

### isFirst_kex_packet_follows

public boolean isFirst_kex_packet_follows()

### getKex_algorithms

public String[] getKex_algorithms()

### getLanguages_client_to_server

public String[] getLanguages_client_to_server()

### getLanguages_server_to_client

public String[] getLanguages_server_to_client()

### getMac_algorithms_client_to_server

public String[] getMac_algorithms_client_to_server()

### getMac_algorithms_server_to_client

public String[] getMac_algorithms_server_to_client()

### getReserved_field1

public int getReserved_field1()

### getServer_host_key_algorithms

public String[] getServer_host_key_algorithms()